Method: projects.locations.workloadIdentityPools.namespaces.managedIdentities.listAttestationRules

List all AttestationRule on a WorkloadIdentityPoolManagedIdentity.

HTTP request

GET https://iam.googleapis.com/v1/{resource=projects/*/locations/*/workloadIdentityPools/*/namespaces/*/managedIdentities/*}:listAttestationRules

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
resource

string

Required. The resource name of the managed identity or namespace resource to list attestation rules of.

Query parameters

Parameters
filter

string

Optional. A query filter. Supports the following function:

  • container_ids(): Returns only the AttestationRules under the specific container ids. The function expects a comma-delimited list with only project numbers and must use the format projects/<project-number>. For example: container_ids(projects/<project-number-1>, projects/<project-number-2>,...).
pageSize

integer

Optional. The maximum number of AttestationRules to return. If unspecified, at most 50 AttestationRules are returned. The maximum value is 100; values above 100 are truncated to 100.

pageToken

string

Optional. A page token, received from a previous keys.list call. Provide this to retrieve the subsequent page.

Request body

The request body must be empty.

Response body

Response message for managedIdentities.listAttestationRules.

If successful, the response body contains data with the following structure:

JSON representation
{
  "attestationRules": [
    {
      object (AttestationRule)
    }
  ],
  "nextPageToken": string
}
Fields
attestationRules[]

object (AttestationRule)

A list of AttestationRules.

nextPageToken

string

Optional. A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/iam

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the resource resource:

  • CALLBACK

For more information, see the IAM documentation.